Test the preferred credential against the target

post

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/namedCredentials/actions/testPreferredCredential

Instance credentials are tested against the credential target. Global credentials are tested against the target provided.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Schema object to hold Preferred Credential details for test action. When targetGuid is not passed, targetName and targetTypeName are required
Match All
Schema object to hold Preferred Credential details for test action. When targetGuid is not passed, targetName and targetTypeName are required
Show Source
Nested Schema : PreferredCredentialCommon
Type: object
Common schema object to hold Preferred Credential data
Show Source
Examples

Back to Top

Response

204 Response

Preferred credential tested successfully

401 Response

Unauthorized
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

403 Response

Forbidden
Body ()
Root Schema : MissingPrivErrorResponse
Type: object
Response sent back as an Error in case required privileges are missing
Show Source
Match All
Response sent back as an Error in case required privileges are missing
Show Source
Nested Schema : missingPrivileges
Type: array
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
Nested Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : MissingPrivilegeSummary
Type: object
It represents a Privilege which is missing on a Resource to view or manage it.
Show Source

404 Response

Not Found
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

Internal Server Error
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

Service Unavailable
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top